<% include ./partials/messages %>
<style>
.outer-container {
    border: 1px;
    padding: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-flow: row;
    text-align: center;
}

.outer-panel {
    flex: 1 1 0;
    flex-flow: column;
    border: 2px solid #95a5a6;
    border-radius: 10px;
    background: rgb(0, 63, 0);
    padding: 0.5rem;
}
.outer-panel2 {
	background: rgb(150, 133, 40);
	flex: 1 1 0;
    flex-flow: column;
    border: 2px solid #95a5a6;
    border-radius: 10px;
    padding: 0.5rem;
}
.middle-panel {
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    padding: 0.5rem;
}
.team-name {
	color: white;
    font-size: 3rem; 
}
.primary-score {
  color: white;
  font-size: 6rem;
}
.period {
  color: white;
  background-color: #2980b9;
  border: 3px solid #95a5a6;
  border-radius: 10px;
  padding: 1rem 1rem 1rem 1rem;
  margin: 1rem 1rem 1rem 1rem;
}
.period .period-label {
    font-size: 3rem;
}
.period .period-count {
    font-size: 6rem; 
}
.gameID {
  color: white;
  background-color: gray;
  border: 3px solid #95a5a6;
  border-radius: 10px;
  padding: 1rem 1rem 1rem 1rem;
  margin: 1rem 1rem 1rem 1rem;
}
.gameID .gameID-label {
    font-size: 2rem;
}
.gameID .gameID-value {
    font-size: 1rem;
}
</style>

<div class="outer-container">
    <div class="outer-panel bg-primary">
        <div class="team-name" id="homeName"><%=game.home.name%></div>
        <div class="primary-score" id="homeScore"><%=(game.home.score < 10)? `0${game.home.score}`: game.home.score%></div>
    </div>
    <div class="middle-panel">
        <div class="period bd-secondary">
            <div class="period-label">Period</div>
            <div class="period-count" id="period"><%=game.period%></div>
        </div>
    </div><!-- END: Middle Panel -->
    <div class="outer-panel2 bg-primary">
        <div class="team-name" id="awayName"><%=game.away.name%></div>
        <div class="primary-score" id="awayScore"><%=(game.away.score < 10)? `0${game.away.score}`: game.away.score%></div>
	</div>
</div>
<div class="gameID">
	<div class="gameID-label"><center>Game ID</center></div>
	<div class="gameID-value"><center><a href="/games/<%=game.gameID%>" id="gameID"><%=game.gameID%></a></center></div>
</div>

<script src="/socket.io/socket.io.js"></script>

<script>
	var homeScore = document.getElementById("homeScore");
  	var awayScore = document.getElementById("awayScore");
  	var periodObj = document.getElementById("period");
  	var homeNameObj = document.getElementById("homeName");
	var awayNameObj = document.getElementById("awayName");
	var gameID = document.getElementById("gameID")

  var socket = io();
  socket.on('scoreChange', function(data) {
	homeScore.innerHTML = (data.home.score < 10)? `0${data.home.score}`: data.home.score
    awayScore.innerHTML = (data.away.score < 10)? `0${data.away.score}`:data.away.score
	periodObj.innerHTML = data.period
    awayNameObj.innerHTML = data.away.name
    homeNameObj.innerHTML = data.home.name
	gameID.innerHTML = `${data.gameID}`
	gameID.setAttribute("href", `/games/${data.gameID}`)
  });
</script>
</script>